complexType "DividendPeriod"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 4 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | unadjustedStartDate?, unadjustedEndDate?, dateAdjustments?, underlyerReference?
</...>

Content Model Elements (4):

  dateAdjustments (defined in DividendPeriod complexType), unadjustedEndDate, | unadjustedStartDate, underlyerReference (defined in DividendPeriod complexType)

Known Direct Subtypes (2):

  DividendPeriodDividend, DividendPeriodPayment

All Direct / Indirect Based Elements (2):

  dividendPeriod (defined in DividendAdjustment complexType), | dividendPeriod (in dividendLeg)

Known Usage Locations

- In derivations of other global types (2):

  DividendPeriodDividend (as extension base), | DividendPeriodPayment (as extension base)

Annotation
Abstract base class of all time bounded dividend period types.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType abstract="true" name="DividendPeriod"> <xsd:sequence> <xsd:element minOccurs="0" name="unadjustedStartDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="unadjustedEndDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"/> <xsd:element minOccurs="0" name="underlyerReference" type="AssetReference"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 4/4)
dateAdjustments

  Type: | BusinessDayAdjustments, complex content

  Date adjustments for all unadjusted dates in this dividend period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"/>

unadjustedEndDate

  Type: | IdentifiedDate, simple content

  Unadjusted inclusive dividend period end date.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="unadjustedEndDate" type="IdentifiedDate"/>

unadjustedStartDate

  Type: | IdentifiedDate, simple content

  Unadjusted inclusive dividend period start date.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="unadjustedStartDate" type="IdentifiedDate"/>

underlyerReference

  Type: | AssetReference, empty content

  Reference to the underlyer which is paying dividends. This should be used in all cases, and must be used where there are multiple underlying assets, to avoid any ambiguity about which asset the dividend period relates to.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="underlyerReference" type="AssetReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.